=== modified file 'hwpack/config.py'
--- hwpack/config.py	2010-08-27 18:27:58 +0000
+++ hwpack/config.py	2010-08-27 18:32:55 +0000
@@ -1,4 +1,5 @@
 import ConfigParser
+import re
 
 class HwpackConfigError(Exception):
     pass
@@ -18,4 +19,9 @@
     def validate(self):
         if not self.parser.has_section("hwpack"):
             raise HwpackConfigError("No [hwpack] section")
-        raise HwpackConfigError("No name in the [hwpack] section")
+        try:
+            name = self.parser.get("hwpack", "name")
+            if re.match("[a-z0-9][a-z0-9+0.]+", name) is None:
+                raise HwpackConfigError("Invalid name: %s" % name)
+        except ConfigParser.NoOptionError:
+            raise HwpackConfigError("No name in the [hwpack] section")

=== modified file 'hwpack/tests/test_config.py'
--- hwpack/tests/test_config.py	2010-08-27 18:27:58 +0000
+++ hwpack/tests/test_config.py	2010-08-27 18:32:55 +0000
@@ -19,3 +19,8 @@
         config = Config(StringIO("[hwpack]\n"))
         e = self.assertRaises(HwpackConfigError, config.validate)
         self.assertEqual("No name in the [hwpack] section", str(e))
+
+    def test_validate_invalid_name(self):
+        config = Config(StringIO("[hwpack]\nname = ~~\n"))
+        e = self.assertRaises(HwpackConfigError, config.validate)
+        self.assertEqual("Invalid name: ~~", str(e))

